Skip to main content
POST
/
api
/
v3
/
onramp
/
crypto
Send Token to Crypto Wallet
curl --request POST \
  --url https://preview.kotanipay.com/api/v3/onramp/crypto \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "receiverAddress": "<string>",
  "chain": "ETHEREUM",
  "token": "CUSD",
  "cryptoAmount": 123,
  "referenceId": "<string>"
}
'
{
  "success": true,
  "message": "Request has been successfully created",
  "data": {
    "referenceId": "<string>",
    "status": "<string>",
    "cryptoAmount": 123,
    "cryptoAmountReceived": 123,
    "feeInCrypto": 123,
    "feeType": "<string>",
    "cryptoWallet": "<string>",
    "chain": {},
    "token": {},
    "transactionHash": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint will send token to any crypto wallet address specified.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
receiverAddress
string
required

The receiver address of the onramp crypto transaction

chain
enum<string>
required

The chain of the onramp crypto transaction

Available options:
ETHEREUM,
CELO,
AVALANCHE,
POLYGON,
ARBITRUM,
OPTIMISM,
STELLAR,
TRON,
FUSE,
LIGHTNING,
SOLANA,
PROVENANCE,
CARDANO,
HEDERA,
BASE,
LISK,
VICTION,
SCROLL
token
enum<string>
required

The token of the onramp crypto transaction

Available options:
CUSD,
USDC,
USDT,
USDT0,
SAT,
BTC,
HASH,
FUSE,
HBAR,
USDGLO,
CKES,
CGHS,
MSAT,
XLM,
ADA
cryptoAmount
number
required

The amount of crypto sent

referenceId
string
required

The reference ID of the onramp crypto transaction

Response

success
boolean
Example:

true

message
string
Example:

"Request has been successfully created"

data
object